/*
 * Copyright 2012 Meruvian
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ${package}.activity;

/**
 * @author Dias Arifin
 * 
 */
import ${package}.R;
import ${package}.activity.fragment.WebViewFragment;
import org.meruvian.midas.view.lib.ActionBarActivity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;


public class WebViewActivity extends ActionBarActivity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
            finish();
            return;
        }
        
        setContentView(R.layout.webview_fragment);

        Intent launchingIntent = getIntent();
        String content = launchingIntent.getData().toString();

        WebViewFragment viewer = (WebViewFragment) getSupportFragmentManager()
                .findFragmentById(R.id.view_fragment);

        viewer.updateUrl(content);
    }

}
